MORE(1)

NOM
more - Filtre lecteur de fichier

SYNOPSIS
more [options] fichier ...

DESCRIPTION
more est un filtre permettant de se déplacer dans un texte, écran par écran. Cette version est particulièrement primitive. Les utilisateurs doivent se convaincre que less(1) constitue une excellente émulation de more(1) avec en plus de nombreuses améliorations.

OPTIONS
La variable d'environnement MORE peut contenir des options supplémentaires (assurez-vous de les faire précéder d'un tiret (-), mais les options sur la ligne de commande ont priorité.

-d  Accueillir avec « [Appuyer sur la barre d'espacement pour continuer, « q » pour quitter.] » puis afficher « [Appuyer sur « h » pour obtenir les instructions.] » au lieu d'émettre un bip quand une touche interdite est utilisée.

-l  Ne pas faire de pause après une ligne contenant un ^L (saut de page).

-f  Compter les lignes logiques plutôt que celles de l'écran, c'est-à-dire que les lignes longues ne sont pas repliées.

-p  Ne pas dérouler : effacer plutôt l’écran avant d'afficher le texte. Remarquez que cette option est activée automatiquement si l’exécutable s'appelle page.

-c  Ne pas dérouler : afficher les lignes en partant du haut et en effaçant les fins de ligne au fur et à mesure.

-s  Regrouper les lignes blanches consécutives en une seule.

-u  Supprimer le soulignement.

-nombre
    La taille d’écran à utiliser, en nombre de lignes.

+numéro
    Commencer à afficher tous les fichiers à la ligne numéro.

+/chaîne
    La chaîne à chercher dans tous les fichiers avant de commencer à les afficher.

COMMANDES
more reconnaît des commandes interactives basées sur celles de vi(1). Certaines commandes peuvent être précédées d'un nombre décimal noté k dans les descriptions suivantes. ^X signifie Ctrl-X.

    h ou ?
        Aide : afficher un résumé des commandes. Si vous les avez toutes oubliées, tâchez de vous souvenir de celle-là.

    espace
        Afficher les k lignes suivantes. Par défaut, k est la taille de l'écran.

    z   Afficher les k lignes suivantes. Par défaut, k est la taille de l'écran, mais le paramètre fourni devient la nouvelle valeur par défaut.

    Entrée
        Afficher les k lignes suivantes. Par défaut, k vaut 1, mais le paramètre fourni devient la nouvelle valeur par défaut.

    d ou ^D
        Dérouler k lignes. La valeur par défaut vaut initialement 11, mais le paramètre fourni devient la nouvelle valeur par défaut.

    q ou Q ou INTERRUPT
        Quitter.

    s   Sauter k lignes. Par défaut, sauter une ligne.

    f   Sauter k écrans. Par défaut, sauter un écran.

    b ou ^B
        Reculer de k écrans. Par défaut, reculer d'un écran. Ne fonctionne qu'avec les fichiers, pas avec les tubes (« pipes »).

    '   Retourner au point de départ de la dernière recherche.

    =   Afficher le numéro de ligne actuel.

    /motif
        Rechercher la k-ième occurrence d'une expression rationnelle. Par défaut, k vaut 1.

    n   Rechercher la k-ième occurrence de la dernière expression rationnelle. Par défaut, k vaut 1.

    !commande ou :!commande
        Exécuter la commande dans un sous-interpréteur de commandes.

    v   Démarrer un éditeur sur la ligne actuelle. L’éditeur est indiqué par la variable d'environnement VISUAL si elle est définie, EDITOR si VISUAL n’est pas définie ou vi par défaut si ni VISUAL ni EDITOR ne sont définies.

    ^L  Rafraîchir l'écran.

    :n  Passer au k-ième fichier suivant. Par défaut, k vaut 1.

    :p  Passer au k-ième fichier précédent. Par défaut, k vaut 1.

    :f  Afficher le nom et le numéro de ligne du fichier actuel.

    .   Répéter la commande précédente.

ENVIRONNEMENT
La commande more respecte les variables d'environnement suivantes quand elles existent.

MORE
    Les options préférées pour more peuvent être indiquées dans cette variable.

SHELL
    Interpréteur actuel (normalement positionné par l'interpréteur à la connexion).

TERM
    Le type de terminal utilisé par more pour déterminer les caractéristiques du terminal nécessaires au contrôle de l'écran.

VISUAL
    L’éditeur préféré de l’utilisateur. Appelé par la touche de commande v.

EDITOR
    Le choix de l’éditeur quand VISUAL n'est pas indiqué.

VOIR AUSSI
less(1), vi(1)

AUTEURS
Eric Shienbrood, UC Berkeley
Modifié par Geoff Peck, UCB, pour ajouter le soulignement et l'espacement simple.
Modifié par John Foderaro, UCB, pour ajouter et la gestion de la variable d'environnement MORE

HISTORIQUE
La commande more est apparue dans BSD 3.0. Cette page documente la version 5.19 (Berkeley 6/29/88), qui est celle actuellement utilisée par la communauté Linux. Cette documentation a été constituée en utilisant les pages de manuel de plusieurs autres versions et après un examen exhaustif du code source.

DISPONIBILITÉ
La commande more fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Michel Quercia en 1997. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.